Skip to main content
PUT
Update a board

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

boardPublicId
string
required

Body

application/json
name
string

New board name.

Minimum string length: 1
slug
string

New URL slug of letters, numbers and hyphens.

Required string length: 1 - 60
Pattern: ^(?![-]+$)[a-zA-Z0-9-]+$
visibility
enum<string>

'public' boards can be viewed by anyone with the link, 'private' only by members.

Available options:
public,
private
favorite
boolean

Whether the board is in the current user's favourites.

isArchived
boolean

Archive (true) or restore (false) the board.

Response

200 - application/json
success
boolean
publicId
string
name
string